<%@ Page Language="C#" AutoEventWireup="true" CodeFile="POProductsList.aspx.cs" Inherits="BlackTieMedical.POProductsList" %>
<%@ Register Src="Controls/Header.ascx" TagName="header" TagPrefix="BlackTie" %>
<%@ Register Src="Controls/Footer.ascx" TagName="footer" TagPrefix="BlackTie" %>

<%@ Register TagPrefix="igchart" Namespace="Infragistics.WebUI.UltraWebChart" Assembly="Infragistics35.WebUI.UltraWebChart.v10.1, Version=10.1.20101.1011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<%@ Register TagPrefix="igchartprop" Namespace="Infragistics.UltraChart.Resources.Appearance" Assembly="Infragistics35.WebUI.UltraWebChart.v10.1, Version=10.1.20101.1011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<%@ Register TagPrefix="igchartdata" Namespace="Infragistics.UltraChart.Data" Assembly="Infragistics35.WebUI.UltraWebChart.v10.1, Version=10.1.20101.1011, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>PO Requisition For Products List</title>
    <script language="JavaScript" src="./js/GlobalJS.js"></script>
    <script language="Javascript" src="./js/FusionCharts.js"></script>
	<link rel="shortcut icon" href="./images/favicon.ico" >
	<link href="./bt/templates/css/rokmoomenu.css" rel="stylesheet" type="text/css" />
	<link href="./bt/templates/css/template.css" rel="stylesheet" type="text/css" />
	<link href="./bt/templates/css/style3.css" rel="stylesheet" type="text/css" />
	<link href="./bt/templates/rokzoom/rokzoom.css" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" type="text/css" href="./include/default.css" />
	<link href="./StyleSheets/BlackTie.css" rel="stylesheet" type="text/css" />

</head>
<body class="f-default style3">
    <form id="form1" runat="server">
    <BlackTie:header ID="header" runat="server" ></BlackTie:header>
    <ajaxToolkit:ToolkitScriptManager runat="Server" ID="ScriptManager1" /> 
    <div>
        <table>
            <tr>
                <td class="contentheading" colspan="2" style="padding-top:10px">
                    <asp:Label ID="lblHeading" runat="server"></asp:Label>
                </td>
            </tr>
        </table>
        
        <asp:Panel ID="pnlInfo" runat="server" CssClass="Panel" style="border:solid 3px #3ab1ee;">
        <table width="100%" cellspacing="0" cellpadding="0" border="0" style="empty-cells: show;">
            <tr>
                <td valign="top">
                    <b>Hospital: </b><asp:DropDownList ID="ddlHospital" runat="server" AutoPostBack="true"  OnSelectedIndexChanged="OnHospitalDepartmentChange"></asp:DropDownList>
                    <a href="javascript:SetDefault('ddlHospital');"><img src="./images/bookmark.gif" alt="Set as default" title="Set as default" style="border:0px; width:19px; height:19px;" /></a>
                    <b style="padding-left:20px;">Department:</b><asp:DropDownList ID="ddlDepartment" runat="server" AutoPostBack="true" OnSelectedIndexChanged="OnHospitalDepartmentChange"></asp:DropDownList>
                    <a href="javascript:SetDefault('ddlDepartment');"><img src="./images/bookmark.gif" alt="Set as default" title="Set as default" style="border:0px; width:19px; height:19px;" /></a>
                </td>
            </tr>
            <tr>
                <td>
                    <hr height="1px" />
                </td>
            </tr>
            <tr valign="top">
                <td valign="top" colspan="2"><br />
                    <table width="99%" cellspacing="0" cellpadding="0" border="0" style="margin-left:5px; empty-cells: show;">
                        <asp:Repeater ID="rptPOs" runat="server" OnItemCommand="OnRptPOsItemCommand" OnItemDataBound="OnRptPOsItemDataBound">
                            <HeaderTemplate>
                                <tr>
                                    <td valign="top" width="7"><img src="./images/table-header-left.gif" width="7" height="40" border="0" /></td>
									<td class="HeaderColumn" align="center" background="./images/table-header.gif">
                                         <asp:LinkButton ID="LinkButton2" runat="server" Text="Modality" ToolTip="Sort by Modality" 
                                            CommandArgument="1" CommandName="Sort" CssClass="HeaderSortLink"></asp:LinkButton>
                                    </td>
                                    <td class="HeaderColumn" align="center" background="./images/table-header.gif">
                                         <asp:LinkButton ID="LinkButton3" runat="server" Text="Date Created" ToolTip="Sort by Date Created" 
                                            CommandArgument="2" CommandName="Sort" CssClass="HeaderSortLink"></asp:LinkButton>
                                    </td>
                                    <td class="HeaderColumn" align="center" background="./images/table-header.gif">
                                         <asp:LinkButton ID="LinkButton5" runat="server" Text="Physician" ToolTip="Sort by Physician" 
                                            CommandArgument="4" CommandName="Sort" CssClass="HeaderSortLink"></asp:LinkButton>
                                    </td>
                                    <td class="HeaderColumn" align="center" background="./images/table-header.gif">
                                         <asp:LinkButton ID="LinkButton1" runat="server" Text="MRN" ToolTip="Sort by MRN" 
                                            CommandArgument="17" CommandName="Sort" CssClass="HeaderSortLink"></asp:LinkButton>
                                    </td>
                                    <td class="HeaderColumn" align="center" background="./images/table-header.gif">
                                         <asp:LinkButton ID="LinkButton6" runat="server" Text="Procedure" ToolTip="Sort by Procedure" 
                                            CommandArgument="5" CommandName="Sort" CssClass="HeaderSortLink"></asp:LinkButton>
                                    </td>
                                    <td class="HeaderColumn" align="center" background="./images/table-header.gif">
                                         <asp:LinkButton ID="LinkButton7" runat="server" Text="Vendor Contact" ToolTip="Sort by Vendor" 
                                            CommandArgument="6" CommandName="Sort" CssClass="HeaderSortLink"></asp:LinkButton>
                                    </td>
                                    <td class="HeaderColumn" id="tdHeaderPONmber" runat="server" align="center" background="./images/table-header.gif">
                                         <asp:LinkButton ID="LinkButton9" runat="server" Text="PO Number" ToolTip="Sort by PO Number" 
                                            CommandArgument="11" CommandName="Sort" CssClass="HeaderSortLink"></asp:LinkButton>
                                    </td>
                                    <td class="HeaderColumn" id="tdHeaderPOValue" runat="server" align="center" background="./images/table-header.gif">
                                         <asp:LinkButton ID="LinkButton10" runat="server" Text="PO Value" ToolTip="Sort by PO Value" 
                                            CommandArgument="12" CommandName="Sort" CssClass="HeaderSortLink"></asp:LinkButton>
                                    </td>
                                    <td class="HeaderColumn" align="center" background="./images/table-header.gif">
                                         <asp:LinkButton ID="LinkButton8" runat="server" Text="Status" ToolTip="Sort by Status" 
                                            CommandArgument="7" CommandName="Sort" CssClass="HeaderSortLink"></asp:LinkButton>
                                    </td>
                                    <td class="HeaderColumn" align="center" background="./images/table-header.gif"><img src="./images/spacer.gif" height="29" border="0" /></td>
                                    <td class="HeaderColumn" align="center" id="tdHeaderArchive" runat="server" background="./images/table-header.gif">
                                        Archive
                                    </td>
                                    <td valign="top" align="right" width="7"><img src="./images/table-header-right.gif" width="7" height="40" border="0" /></td>
                                </tr>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <tr class="ItemRow" runat="server" id="trPOs">
									<td valign="top" width="7"><img src="./images/spacer.gif" width="7" height="1" border="0" /></td>
                                    <td id="tdBrand" runat="server" align="center">
                                        &nbsp;<%#  DataBinder.Eval(Container.DataItem, "Modality")%> 
                                    </td>
                                    <td id="tdDescription" runat="server" align="center">
                                        &nbsp;<%#  ((DateTime)DataBinder.Eval(Container.DataItem, "DateCreated")).ToString("MM/dd/yyyy")%> 
                                    </td>
                                    <td id="tdLot" runat="server" align="center">
                                        &nbsp;<%#  DataBinder.Eval(Container.DataItem,"Physician") %>     
                                    </td>
                                    <td id="td1" runat="server" align="center">
                                        &nbsp;<%#  DataBinder.Eval(Container.DataItem,"MRN") %> 
                                    </td>
                                    <td id="tdSerial" runat="server" align="center">
                                        &nbsp;<%#  DataBinder.Eval(Container.DataItem,"Procedure") %> 
                                    </td>
                                    <td runat="server" align="center" id="tdVendor" runat="server">
                                        &nbsp;<%#  DataBinder.Eval(Container.DataItem, "Vendor")%> 
                                        <asp:HiddenField ID="hfUserTypeID" runat="server" Value='<%#  DataBinder.Eval(Container.DataItem, "UserTypeID")%>' />
                                    </td>
                                    <td runat="server" id="tdPONumber" align="center">
                                        &nbsp;<%#  DataBinder.Eval(Container.DataItem, "PONumber")%> 
                                    </td>
                                    <td runat="server" id="tdPOValue" align="right" style="white-space:nowrap;">
                                        <%#  DataBinder.Eval(Container.DataItem, "Capit")%>
                                        <%#  DataBinder.Eval(Container.DataItem, "Trial")%>
                                        <%#  DataBinder.Eval(Container.DataItem, "Wasted")%>
                                        <%#  DataBinder.Eval(Container.DataItem, "Capitation")%>
                                        &nbsp;<%#  Convert.ToDecimal(DataBinder.Eval(Container.DataItem, "TotalValue")).ToString("C")%> 
                                    </td>
                                    <td id="tdStatus" runat="server" align="center">
                                        &nbsp;<b><%#  DataBinder.Eval(Container.DataItem, "Status")%></b>
                                    </td>
                                    <td id="tdAction" runat="server" align="center">
                                        <asp:LinkButton ID="lbViewPO" runat="server" Text="View" CommandArgument='<%# DataBinder.Eval(Container.DataItem,"POProductRequisitionID") %>' CommandName="View"></asp:LinkButton>
                                        <asp:LinkButton ID="lbEditPO" runat="server" Text="Act" CommandArgument='<%# DataBinder.Eval(Container.DataItem,"POProductRequisitionID") %>' CommandName="Edit"></asp:LinkButton>
                                        <br />
                                        <asp:LinkButton ID="lbDeletePO" runat="server" Text="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem,"POProductRequisitionID") %>' CommandName="Delete"></asp:LinkButton>
                                        <asp:HiddenField ID="hfCompleted" Value='<%#  DataBinder.Eval(Container.DataItem, "Completed")%>' runat="server" />
                                        <asp:HiddenField ID="hfApprovalStatusID" Value='<%#  DataBinder.Eval(Container.DataItem, "ApprovalStatusID")%>' runat="server"/>
                                        <asp:HiddenField ID="hfFAUserID" Value='<%#  DataBinder.Eval(Container.DataItem, "FirstApproverUserID")%>' runat="server"/>
                                        <asp:HiddenField ID="hfAlternateUserID" Value='<%#  DataBinder.Eval(Container.DataItem, "AlternateFirstApproverUserID")%>' runat="server"/>
                                        <asp:HiddenField ID="hfBUserID" Value='<%#  DataBinder.Eval(Container.DataItem, "BuyerUserID")%>' runat="server"/>
                                    </td>
                                    <td align="center" id="tdArchive" runat="server">
                                        <asp:CheckBox ID="cbArchive" runat="server"/>
                                        <asp:HiddenField Value='<%# DataBinder.Eval(Container.DataItem,"POProductRequisitionID") %>' ID="hfPOReqID" runat="server" />
                                    </td>
									<td valign="top" width="7"><img src="./images/spacer.gif" width="7" height="1" border="0" /></td>
                                </tr>
                            </ItemTemplate>
                            <AlternatingItemTemplate>
                                <tr class="AlternatingRow" runat="server" id="trPOs">
									<td valign="top" width="7"><img src="./images/spacer.gif" width="7" height="1" border="0" /></td>
                                    <td id="tdBrand" runat="server" align="center">
                                        &nbsp;<%#  DataBinder.Eval(Container.DataItem, "Modality")%> 
                                    </td>
                                    <td id="tdDescription" runat="server" align="center">
                                        &nbsp;<%#  ((DateTime)DataBinder.Eval(Container.DataItem, "DateCreated")).ToString("MM/dd/yyyy")%> 
                                    </td>
                                    <td id="tdLot" runat="server" align="center">
                                        &nbsp;<%#  DataBinder.Eval(Container.DataItem,"Physician") %>     
                                    </td>
                                    <td id="td1" runat="server" align="center">
                                        &nbsp;<%#  DataBinder.Eval(Container.DataItem,"MRN") %> 
                                    </td>
                                    <td id="tdSerial" runat="server" align="center">
                                        &nbsp;<%#  DataBinder.Eval(Container.DataItem,"Procedure") %> 
                                    </td>
                                    <td runat="server" align="center" id="tdVendor" runat="server">
                                        &nbsp;<%#  DataBinder.Eval(Container.DataItem, "Vendor")%> 
                                        <asp:HiddenField ID="hfUserTypeID" runat="server" Value='<%#  DataBinder.Eval(Container.DataItem, "UserTypeID")%>' />
                                    </td>
                                    <td runat="server" id="tdPONumber" align="center">
                                        &nbsp;<%#  DataBinder.Eval(Container.DataItem, "PONumber")%> 
                                    </td>
                                    <td runat="server" id="tdPOValue" align="right" style="white-space:nowrap;">
                                      <%#  DataBinder.Eval(Container.DataItem, "Capit")%>
                                        <%#  DataBinder.Eval(Container.DataItem, "Trial")%>
                                        <%#  DataBinder.Eval(Container.DataItem, "Wasted")%>
                                        <%#  DataBinder.Eval(Container.DataItem, "Capitation")%>
                                        &nbsp;<%#  Convert.ToDecimal(DataBinder.Eval(Container.DataItem, "TotalValue")).ToString("C")%> 
                                    </td>
                                    <td id="tdStatus" runat="server" align="center">
                                        &nbsp;<b><%#  DataBinder.Eval(Container.DataItem, "Status")%></b>
                                    </td>
                                    <td id="tdAction" runat="server" align="center">
                                        <asp:LinkButton ID="lbViewPO" runat="server" Text="View" CommandArgument='<%# DataBinder.Eval(Container.DataItem,"POProductRequisitionID") %>' CommandName="View"></asp:LinkButton>
                                        <asp:LinkButton ID="lbEditPO" runat="server" Text="Act" CommandArgument='<%# DataBinder.Eval(Container.DataItem,"POProductRequisitionID") %>' CommandName="Edit"></asp:LinkButton>
                                        <br />
                                        <asp:LinkButton ID="lbDeletePO" runat="server" Text="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem,"POProductRequisitionID") %>' CommandName="Delete"></asp:LinkButton>
                                        <asp:HiddenField ID="hfCompleted" Value='<%#  DataBinder.Eval(Container.DataItem, "Completed")%>' runat="server" />
                                        <asp:HiddenField ID="hfApprovalStatusID" Value='<%#  DataBinder.Eval(Container.DataItem, "ApprovalStatusID")%>' runat="server"/>
                                        <asp:HiddenField ID="hfFAUserID" Value='<%#  DataBinder.Eval(Container.DataItem, "FirstApproverUserID")%>' runat="server"/>
                                        <asp:HiddenField ID="hfAlternateUserID" Value='<%#  DataBinder.Eval(Container.DataItem, "AlternateFirstApproverUserID")%>' runat="server"/>
                                        <asp:HiddenField ID="hfBUserID" Value='<%#  DataBinder.Eval(Container.DataItem, "BuyerUserID")%>' runat="server"/>
                                    </td>
                                    <td align="center" id="tdArchive" runat="server">
                                        <asp:CheckBox ID="cbArchive" runat="server"/>
                                        <asp:HiddenField Value='<%# DataBinder.Eval(Container.DataItem,"POProductRequisitionID") %>' ID="hfPOReqID" runat="server" />
                                    </td>
									<td valign="top" width="7"><img src="./images/spacer.gif" width="7" height="1" border="0" /></td>
                                </tr>
                            </AlternatingItemTemplate>
                            <FooterTemplate>
                                <tr>
                                    <td colspan="12" align="right"><asp:LinkButton ID="lbArchive" runat="server" Text="Archive Selected" OnClientClick="return OnArchive();" CommandName="Archive"></asp:LinkButton></td>
                                </tr>
                            </FooterTemplate>
                        </asp:Repeater>
                    </table>
                </td>
                <td></td>
                <td valign="top" id="tdCharts" runat="server" align="left">
                    <table>
                        <tr>
                            <td align="center">
                                <asp:Literal ID="lChart1" runat="server"></asp:Literal>
                                <a href="" id="linkOpenChart1">Zoom</a>
                            </td>
                        </tr>
                        <tr>
                            <td align="center">
                                <asp:Literal ID="lChart2" runat="server"></asp:Literal>
                                <a href="" id="linkOpenChart2">Zoom</a>
                            </td>
                        </tr>
                        <tr>
                            <td align="center">
                                <asp:Literal ID="lChart3" runat="server"></asp:Literal>
                                <a href="" id="linkOpenChart3">Zoom</a>
                            </td>
                        </tr>
                    </table>
                </td>

            </tr>
        </table>
       </asp:Panel>
    </div>
    
    <asp:Button runat="server" ID="hiddenTargetControlForChartModalPopup" style="display:none"/>
            <ajaxToolkit:ModalPopupExtender runat="server" ID="ChartModalPopupExtender"
                BehaviorID="ChartModalBehavior"
                TargetControlID="hiddenTargetControlForChartModalPopup"
                PopupControlID="ChartPopup" 
                BackgroundCssClass="modalBackground"
                DropShadow="False"
                RepositionMode="RepositionOnWindowResize" >
            </ajaxToolkit:ModalPopupExtender>
            <asp:Panel runat="server" CssClass="modalPopup" ID="ChartPopup" style="display:none;width:615px;padding:10px">
                    <table>
                        <tr>
                            <td>
                              <asp:Literal ID="lChart4" runat="server"></asp:Literal>
                              <center><span class="FootNote">Right click to print</span></center>
                            </td>
                        </tr>
                        <tr>
                            <td align="center">
                                <asp:Button runat="server" ID="btnCloseChart6" Text="Close" CssClass="Button" />
                            </td>
                        </tr>
                    </table>       
            </asp:Panel>
            
            <asp:Button runat="server" ID="hiddenTargetControlForChart1ModalPopup" style="display:none"/>
            <ajaxToolkit:ModalPopupExtender runat="server" ID="ModalPopupExtender1"
                BehaviorID="Chart1ModalBehavior"
                TargetControlID="hiddenTargetControlForChart1ModalPopup"
                PopupControlID="Chart1Popup" 
                BackgroundCssClass="modalBackground"
                DropShadow="False"
                RepositionMode="RepositionOnWindowResize" >
            </ajaxToolkit:ModalPopupExtender>
            <asp:Panel runat="server" CssClass="modalPopup" ID="Chart1Popup" style="display:none;width:615px;padding:10px">
                    <table>
                        <tr>
                            <td>
                              <asp:Literal ID="lChart5" runat="server"></asp:Literal>
                              <center><span class="FootNote">Right click to print</span></center>
                            </td>
                        </tr>
                        <tr>
                            <td align="center">
                                <asp:Button runat="server" ID="btnCloseChart7" Text="Close" CssClass="Button" />
                            </td>
                        </tr>
                    </table>       
            </asp:Panel>
            
            <asp:Button runat="server" ID="hiddenTargetControlForChart2ModalPopup" style="display:none"/>
            <ajaxToolkit:ModalPopupExtender runat="server" ID="ModalPopupExtender2"
                BehaviorID="Chart2ModalBehavior"
                TargetControlID="hiddenTargetControlForChart2ModalPopup"
                PopupControlID="Chart2Popup" 
                BackgroundCssClass="modalBackground"
                DropShadow="False"
                RepositionMode="RepositionOnWindowResize" >
            </ajaxToolkit:ModalPopupExtender>
            <asp:Panel runat="server" CssClass="modalPopup" ID="Chart2Popup" style="display:none;width:615px;padding:10px">
                    <table>
                        <tr>
                            <td>
                              <asp:Literal ID="lChart6" runat="server"></asp:Literal>
                              <center><span class="FootNote">Right click to print</span></center>
                            </td>
                        </tr>
                        <tr>
                            <td align="center">
                                <asp:Button runat="server" ID="btnCloseChart8" Text="Close" CssClass="Button" />
                            </td>
                        </tr>
                    </table>       
            </asp:Panel>
            <br /><br />
        </div>
		</div>
					</div>
					</div>
					</div>
					
            <ajaxToolkit:CascadingDropDown
            ID="cddHospital"
            runat="server"
            TargetControlID="ddlHospital"
            Category="Hospital"
            PromptText="Select a hospital"
            ServicePath="~/WebServices/POProdReqService.asmx"
            ServiceMethod="GetHospitals" />

        <ajaxToolkit:CascadingDropDown
            ID="cddDepartment"
            runat="server"
            TargetControlID="ddlDepartment"
            ParentControlID="ddlHospital" 
            Category="Department"
            PromptText="Select a department"
            ServicePath="~/WebServices/POProdReqService.asmx"
            ServiceMethod="GetDepartments"  />
     
    <script language="javascript">
        
        function pageLoad() {
                <% 
                    if (ViewState["po"].ToString() == "p")
                    {
                %>
                        if(document.getElementById("linkOpenChart1"))
                        {
                            $addHandler($get("btnCloseChart6"), 'click', hideChart6); 
                            $addHandler($get("btnCloseChart7"), 'click', hideChart7); 
                            $addHandler($get("btnCloseChart8"), 'click', hideChart8); 
                            
                            $addHandler($get("linkOpenChart1"), 'click', showChart1); 
                            $addHandler($get("linkOpenChart2"), 'click', showChart2); 
                            $addHandler($get("linkOpenChart3"), 'click', showChart3);
                        }
                <%
                    }
                %> 
        }
        
        function OnArchive()
        {
            if(confirm("You are about to archive the selected PO's.  Would you like to continue?"))
            {
                return true;
            }
            
            return false;
        }
       
        function hideChart6(ev) {
            showHideAllCharts("block");
            
            ev.preventDefault();        
            var modalPopupBehavior = $find('ChartModalBehavior');
            modalPopupBehavior.hide();
        }
        
        function hideChart7(ev) {
            showHideAllCharts("block");
            
            ev.preventDefault();        
            var modalPopupBehavior = $find('Chart1ModalBehavior');
            modalPopupBehavior.hide();
        }
        
        function hideChart8(ev) {
            showHideAllCharts("block");
            
            ev.preventDefault();        
            var modalPopupBehavior = $find('Chart2ModalBehavior');
            modalPopupBehavior.hide();
        }
        
        function showChart1(ev) {
            showHideAllCharts("none");
            
            ev.preventDefault();        
            var modalPopupBehavior = $find('ChartModalBehavior');
            modalPopupBehavior.show();
        }
        
        function showChart2(ev) {
            showHideAllCharts("none");
            
            ev.preventDefault();        
            var modalPopupBehavior = $find('Chart1ModalBehavior');
            modalPopupBehavior.show();
        }
        
        function showChart3(ev) {
            showHideAllCharts("none");
            
            ev.preventDefault();        
            var modalPopupBehavior = $find('Chart2ModalBehavior');
            modalPopupBehavior.show();
        }
        
        function showHideAllCharts(display)
        {
            if(document.getElementById("0Div") != null)
                document.getElementById("0Div").style.display = display;
            if(document.getElementById("1Div") != null)
                document.getElementById("1Div").style.display = display;
            if(document.getElementById("2Div") != null)
                document.getElementById("2Div").style.display = display;
        }
        
        function SetDefault(fieldName)
        {
            if(document.getElementById(fieldName).value.length > 0)
            {
                SetCookie(fieldName, document.getElementById(fieldName).value, 360);   
                alert("Default set");
            }   
            else
            {
                alert("Cannot set a default on this selection.");
            }             
        }
    </script>
    <BlackTie:footer ID="footer" runat="server"></BlackTie:footer>
    </form>
</body>
</html>
